%define req_glib_version	2.0.0
%define req_libidl_version	0.8.10

%define lib_major	0
%define api_version 2.0
%define lib_name	%mklibname %{name}_ %{lib_major}
%define develname %mklibname -d %name

Name:		ORBit2
Version:	2.14.19
Release:	%mkrel 10
Summary:	High-performance CORBA Object Request Broker
License:	LGPLv2+
Group:		Graphical desktop/GNOME
URL:		http://www.gnome.org/projects/ORBit2/
Source0:	https://download.gnome.org/sources/%{name}/%{name}-%{version}.tar.bz2
# (fc) 2.4.1-2mdk fix crash when /tmp is not readable
Patch0:		ORBit2-2.14.4-tmpdir.patch
# (cjw) relax memory leak test tolerance (50->200K) -- does not work, test disabled in patch3
Patch1:		ORBit2-2.14.19-leaktest.patch
Patch2:		ORBit2-2.14.19-automake-1.13.patch
Patch3:		ORBit2-2.14.19-skip-failing-test.patch
# (cjw) use a libtool convenience library instead of a static archive + fix dependencies
Patch4:		ORBit2-2.14.19-nostatic.patch
Patch5:		ORBit2-2.14.19-link.patch
Patch6:		ORBit2-2.14.19-glib-2.30.patch
BuildConflicts:	ORBit-devel < 0.5.10
BuildRequires:	pkgconfig(libIDL-2.0) >= 0.8.2
BuildRequires:	pkgconfig(glib-2.0) >= 2.8.0
BuildRequires:	pkgconfig(gmodule-2.0) >= 2.8.0
BuildRequires:	pkgconfig(gobject-2.0) >= 2.8.0
BuildRequires:	pkgconfig(gthread-2.0) >= 2.8.0
BuildRequires:	indent bison flex
BuildRequires:  gtk-doc
Requires:	%{lib_name} = %{version}
Requires:	libIDL2 >= %{req_libidl_version}
Obsoletes:      linc < 1:1.0.3
Conflicts:      %{_lib}linc1
Provides:       linc

%description
ORBit is a high-performance CORBA (Common Object Request Broker
Architecture) ORB (object request broker). It allows programs to
send requests and receive replies from other programs, regardless
of the locations of the two programs. CORBA is an architecture that
enables communication between program objects, regardless of the
programming language they're written in or the operating system they
run on.

You will need to install this package if you want to run programs that use
the ORBit implementation of CORBA technology.

%package -n %{lib_name}
Summary:	High-performance CORBA Object Request Broker
Group:		System/Libraries
Provides:	lib%{name} = %{version}-%{release}
Requires:	%{name} >= %{version}

%description -n %{lib_name}
ORBit is a high-performance CORBA (Common Object Request Broker
Architecture) ORB (object request broker). It allows programs to
send requests and receive replies from other programs, regardless
of the locations of the two programs. CORBA is an architecture that
enables communication between program objects, regardless of the
programming language they're written in or the operating system they
run on.

This package contains all core libraries of the ORBit implementation
of CORBA technology.

%package -n %develname
Summary:	Development libraries, header files and utilities for ORBit
Group:		Development/GNOME and GTK+
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}
Requires:	%{name} = %{version}
# needed for orbit-idl-2
Requires:       indent
Conflicts:	ORBit-devel < 0.5.10
Obsoletes:      %mklibname -d %{name}_ 0

%description -n %develname
This package contains the header files, libraries and utilities
necessary to write programs that use CORBA technology. If you want to
write such programs, you'll also need to install the ORBit package.

%prep
%setup -q
%patch0 -p1 -b .tmpdir
%patch1 -p1 -b .leaktest
%patch2 -p1 -b .automake-1_13
%patch3 -p1 -b .test
#patch4 -p1 -b .nostatic
%patch5 -p1 -b .linkorder
%patch6 -p1 -b .glib

%build
autoreconf -fi
%configure2_5x --enable-gtk-doc --enable-purify --disable-static --enable-compile-warnings=no
%make

%check
make check

%install
%makeinstall_std

# multiarch policy
%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/orbit2-config
%multiarch_includes $RPM_BUILD_ROOT%{_includedir}/orbit-%{api_version}/orbit/orbit-config.h

# Rename doc to prevent name conflict
cp src/services/name/README README.service-name

# remove unpackaged files
find %{buildroot} -name *.la | xargs rm

%files
%doc README.service-name AUTHORS NEWS MAINTAINERS README
%{_bindir}/linc-cleanup-sockets
%{_bindir}/ior-decode-2
%{_bindir}/typelib-dump
%{_datadir}/idl/orbit-%{api_version}
%dir %{_libdir}/orbit-%{api_version}
%{_libdir}/orbit-%{api_version}/Everything_module.so

%files -n %{lib_name}
%{_libdir}/lib*-2.so.%{lib_major}
%{_libdir}/lib*-2.so.%{lib_major}.*

%files -n %develname
%doc %{_datadir}/gtk-doc/html/*
%{_bindir}/orbit2-config
%multiarch %{multiarch_bindir}/orbit2-config
%{_bindir}/orbit-idl-2
%{_datadir}/aclocal/*.m4
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/libname-server-2.a
%{_libdir}/pkgconfig/*.pc


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 2.14.19-10.mga4
+ Revision: 532205
- Mageia 4 Mass Rebuild

* Sat Aug 17 2013 fwang <fwang> 2.14.19-9.mga4
+ Revision: 467300
- add patch from pld to fix build with latest glib
- set enable as no
- disable compile warnings to error

* Wed Mar 27 2013 fwang <fwang> 2.14.19-8.mga3
+ Revision: 405438
- fix deps
- more link order fix

* Sun Mar 03 2013 fwang <fwang> 2.14.19-7.mga3
+ Revision: 401246
- tweak liknk and build order

* Tue Feb 12 2013 fwang <fwang> 2.14.19-6.mga3
+ Revision: 397962
- update file list
- disable patch4 as it breaks bonobo build

* Wed Jan 23 2013 cjw <cjw> 2.14.19-5.mga3
+ Revision: 391688
- patch4: try to fix parallel build with make -l<n>

* Fri Jan 11 2013 fwang <fwang> 2.14.19-4.mga3
+ Revision: 345243
- skipping failing test as upstream does not care (gnome#630933)

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + cjw <cjw>
    - patch1: relax tolerance of leak test
    - regenerate build scripts
      o patch2: fix build with automake 1.13

* Tue Sep 13 2011 fwang <fwang> 2.14.19-2.mga2
+ Revision: 142867
- update file list
- drop .la files

* Mon Jan 10 2011 dmorgan <dmorgan> 2.14.19-1.mga1
+ Revision: 5508
- imported package ORBit2


* Tue Sep 28 2010 Götz Waschk <waschk@mandriva.org> 2.14.19-1mdv2011.0
+ Revision: 581789
- update to new version 2.14.19

* Tue Mar 30 2010 Götz Waschk <waschk@mandriva.org> 2.14.18-2mdv2010.1
+ Revision: 529684
- update to new version 2.14.18

* Wed Feb 17 2010 Frederic Crozat <fcrozat@mandriva.com> 2.14.17-2mdv2010.1
+ Revision: 507114
- Remove explicit popt-devel dependency (Mdv bug #57682)

* Thu Mar 05 2009 Götz Waschk <waschk@mandriva.org> 2.14.17-1mdv2009.1
+ Revision: 349115
- update to new version 2.14.17

* Sat Sep 20 2008 Götz Waschk <waschk@mandriva.org> 2.14.16-1mdv2009.0
+ Revision: 286130
- new version

* Tue Sep 16 2008 Götz Waschk <waschk@mandriva.org> 2.14.15-2mdv2009.0
+ Revision: 285200
- new version
- drop patch 1

* Fri Aug 22 2008 Frederic Crozat <fcrozat@mandriva.com> 2.14.14-2mdv2009.0
+ Revision: 275196
- Patch1 (Mike Gorse):  fix chown on socket when beeing root aka MCC is now accessible !!

* Tue Aug 19 2008 Götz Waschk <waschk@mandriva.org> 2.14.14-1mdv2009.0
+ Revision: 273749
- new version
- update license

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 2.14.13-2mdv2009.0
+ Revision: 265276
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Jun 03 2008 Götz Waschk <waschk@mandriva.org> 2.14.13-1mdv2009.0
+ Revision: 214475
- new version

  + Emmanuel Andry <eandry@mandriva.org>
    - Fix lib group

* Tue Jan 29 2008 Götz Waschk <waschk@mandriva.org> 2.14.12-1mdv2008.1
+ Revision: 159832
- new version
- bump deps

* Fri Jan 25 2008 Götz Waschk <waschk@mandriva.org> 2.14.11-1mdv2008.1
+ Revision: 157900
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 15 2007 Götz Waschk <waschk@mandriva.org> 2.14.10-1mdv2008.1
+ Revision: 98394
- new version

* Mon Sep 17 2007 Götz Waschk <waschk@mandriva.org> 2.14.9-1mdv2008.0
+ Revision: 89094
- new version
- new devel name

* Thu Jul 26 2007 Götz Waschk <waschk@mandriva.org> 2.14.8-1mdv2008.0
+ Revision: 56048
- new version


* Thu Mar 01 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.14.7-1mdv2007.1
+ Revision: 130782
- no need to package big ChangeLog when NEWS is already there

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 2.14.7-1mdv2007.1
+ Revision: 126023
- new version

* Mon Feb 12 2007 Götz Waschk <waschk@mandriva.org> 2.14.6-1mdv2007.1
+ Revision: 119012
- new version

* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 2.14.5-1mdv2007.1
+ Revision: 111915
- new version

* Mon Dec 18 2006 Götz Waschk <waschk@mandriva.org> 2.14.4-1mdv2007.1
+ Revision: 98409
- Import ORBit2

* Mon Dec 18 2006 Gtz Waschk <waschk@mandriva.org> 2.14.4-1mdv2007.1
- rediff patch 0
- drop patch 1
- New version 2.14.4

* Tue Sep 12 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.3-2mdv2007.0
- Patch1 (CVS): allow non-local ipv4 connections

* Tue Sep 05 2006 Götz Waschk <waschk@mandriva.org> 2.14.3-1mdv2007.0
- New release 2.14.3

* Wed Jul 26 2006 Götz Waschk <waschk@mandriva.org> 2.14.2-1
- New release 2.14.2

* Tue Jul 25 2006 Götz Waschk <waschk@mandriva.org> 2.14.1-1mdv2007.0
- New release 2.14.1

* Sun Jun 11 2006 Gtz Waschk <waschk@mandriva.org> 2.14.0-3mdv2007.0
- enable purify
- run checks in the check stage

* Tue May 16 2006 Stefan van der Eijk <stefan@eijk.nu> 2.14.0-2mdk
- rebuild for sparc

* Tue Mar 14 2006 Götz Waschk <waschk@mandriva.org> 2.14.0-1mdk
- New release 2.14.0

* Tue Feb 07 2006 Frederic Crozat <fcrozat@mandriva.com> 2.13.3-2mdk
- Add conflicts to ease upgrade

* Mon Feb 06 2006 Götz Waschk <waschk@mandriva.org> 2.13.3-1mdk
- New release 2.13.3
- use mkrel

* Tue Nov 08 2005 Götz Waschk <waschk@mandriva.org> 2.13.2-1mdk
- New release 2.13.2

* Wed Oct 05 2005 Frederic Crozat <fcrozat@mandriva.com> 2.13.1-1mdk
- Release 2.13.1
- Regenerate patch0 (Gotz)

* Wed Aug 17 2005 Götz Waschk <waschk@mandriva.org> 2.12.3-1mdk
- New release 2.12.3

* Thu Apr 21 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.2-1mdk 
- Release 2.12.2 (based on Gtz Waschk package)

* Fri Feb 25 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.12.1-3mdk
- multiarch

* Sat Feb 05 2005 Goetz Waschk <waschk@linux-mandrake.com> 2.12.1-1mdk
- New release 2.12.1

* Tue Oct 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.12.0-1mdk
- New release 2.12.0

* Fri Sep 24 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.10.5-1mdk
- Release 2.10.5 (fix hang in evolution)

* Fri Aug 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.10.4-1mdk
- Release 2.10.4

* Thu Jun 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.10.3-1mdk
- reenable libtoolize
- New release 2.10.3

* Sat May 08 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.10.2-1mdk
- New release 2.10.2

* Fri Apr 23 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.10.1-1mdk
- New release 2.10.1

* Sat Apr 03 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.10.0-1mdk
- Release 2.10.0 (with Goetz help)

